org.apache.kylin.jdbc

## Class KylinClient

- java.lang.Object
- - org.apache.kylin.jdbc.KylinClient

All Implemented Interfaces:
  Closeable, AutoCloseable, IRemoteClient

    public class KylinClient
    extends Object
    implements IRemoteClient

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.kylin.jdbc.IRemoteClient

`IRemoteClient.QueryResult`

### Constructor Summary

Constructors
Constructor and Description
`KylinClient(KylinConnection conn)`

### Method Summary

Methods
`void` `close()`
`void` `connect()` Connect to Kylin restful service.
`static Class` `convertType(int sqlType)`
`IRemoteClient.QueryResult` `executeQuery(String sql, List<org.apache.calcite.avatica.AvaticaParameter> params, List<Object> paramValues)` Execute query remotely and get back result.
`KylinMeta.KMetaProject` `retrieveMetaData(String project)` Retrieve meta data of given project.
`static Object` `wrapObject(String value, int sqlType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KylinClient

    public KylinClient(KylinConnection conn)

### Method Detail

#### convertType

    public static Class convertType(int sqlType)

#### wrapObject

    public static Object wrapObject(String value,
                    int sqlType)

#### connect

    public void connect()
                 throws IOException

Description copied from interface: `IRemoteClient`
Connect to Kylin restful service. IOException will be thrown if authentication failed.

Specified by:
  `connect` in interface `IRemoteClient`
Throws:
  `IOException`

#### retrieveMetaData

    public KylinMeta.KMetaProject retrieveMetaData(String project)
                                            throws IOException

Description copied from interface: `IRemoteClient`
Retrieve meta data of given project.

Specified by:
  `retrieveMetaData` in interface `IRemoteClient`
Throws:
  `IOException`

#### executeQuery

    public IRemoteClient.QueryResult executeQuery(String sql,
                                         List<org.apache.calcite.avatica.AvaticaParameter> params,
                                         List<Object> paramValues)
                                           throws IOException

Description copied from interface: `IRemoteClient`
Execute query remotely and get back result.

Specified by:
  `executeQuery` in interface `IRemoteClient`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `IOException`